using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
using APT.BaseData.Domain.Entities;
namespace APT.MS.Domain.Entities.HM
{
    [Description("作业任务识别附件表")]
    public class T_HM_JOBTASK_IDENTIFY_FILE : MesEntityBase
    {
        [Description("作业任务识别表ID")]
        [DataFieldForeignKey("Nav_JobtaskIdentify", "Nav_Files")]
        public Guid JOBTASK_IDENTIFY_ID { get; set; }

        [Description("导航属性：作业任务识别表")]
        public virtual T_HM_JOBTASK_IDENTIFY Nav_JobtaskIdentify { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
